org.w3c.dom.html

## Interface HTMLTextAreaElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLTextAreaElement
      extends HTMLElement

  Multi-line text field. See the TEXTAREA element definition in HTML 4.0.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blur()` Removes keyboard focus from this element.
    `void` | `focus()` Gives keyboard focus to this element.
    `java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
    `int` | `getCols()` Width of control (in characters).
    `java.lang.String` | `getDefaultValue()` Stores the initial control value (i.e., the initial value of `value`).
    `boolean` | `getDisabled()` The control is unavailable in this context.
    `HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.
    `java.lang.String` | `getName()` Form control or object name when submitted with a form.
    `boolean` | `getReadOnly()` This control is read-only.
    `int` | `getRows()` Number of text rows.
    `int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
    `java.lang.String` | `getType()` The type of this form control.
    `java.lang.String` | `getValue()` The current textual content of the multi-line text field.
    `void` | `select()` Select the contents of the `TEXTAREA`.
    `void` | `setAccessKey(java.lang.String accessKey)`
    `void` | `setCols(int cols)`
    `void` | `setDefaultValue(java.lang.String defaultValue)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setName(java.lang.String name)`
    `void` | `setReadOnly(boolean readOnly)`
    `void` | `setRows(int rows)`
    `void` | `setTabIndex(int tabIndex)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getDefaultValue

          java.lang.String getDefaultValue()

      Stores the initial control value (i.e., the initial value of `value`).

    - #### setDefaultValue

          void setDefaultValue(java.lang.String defaultValue)

    - #### getForm

          HTMLFormElement getForm()

      Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.

    - #### getAccessKey

          java.lang.String getAccessKey()

      A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

    - #### setAccessKey

          void setAccessKey(java.lang.String accessKey)

    - #### getCols

          int getCols()

      Width of control (in characters). See the cols attribute definition in HTML 4.0.

    - #### setCols

          void setCols(int cols)

    - #### getDisabled

          boolean getDisabled()

      The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### getName

          java.lang.String getName()

      Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

    - #### setName

          void setName(java.lang.String name)

    - #### getReadOnly

          boolean getReadOnly()

      This control is read-only. See the readonly attribute definition in HTML 4.0.

    - #### setReadOnly

          void setReadOnly(boolean readOnly)

    - #### getRows

          int getRows()

      Number of text rows. See the rows attribute definition in HTML 4.0.

    - #### setRows

          void setRows(int rows)

    - #### getTabIndex

          int getTabIndex()

      Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

    - #### setTabIndex

          void setTabIndex(int tabIndex)

    - #### getType

          java.lang.String getType()

      The type of this form control.

    - #### getValue

          java.lang.String getValue()

      The current textual content of the multi-line text field. If the entirety of the data can not fit into a single wstring, the implementation may truncate the data.

    - #### setValue

          void setValue(java.lang.String value)

    - #### blur

          void blur()

      Removes keyboard focus from this element.

    - #### focus

          void focus()

      Gives keyboard focus to this element.

    - #### select

          void select()

      Select the contents of the `TEXTAREA`.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.